tbb::internal::supports_impl< T, typename void_t< Checks< T >... >::type, Checks... > Struct Template Reference

`#include <_template_helpers.h>`

Collaboration diagram for tbb::internal::supports_impl< T, typename void_t< Checks< T >... >::type, Checks... >:

## Public Types

typedef std::true_type | type

## Detailed Description

### template<typename T, template< typename > class... Checks>
struct tbb::internal::supports_impl< T, typename void_t< Checks< T >... >::type, Checks... >

Definition at line 95 of file _template_helpers.h.

## Member Typedef Documentation

## type

template<typename T , template< typename > class... Checks>

typedef std::true_type tbb::internal::supports_impl< T, typename void_t< Checks< T >... >::type, Checks... >::type

Definition at line 95 of file _template_helpers.h.

The documentation for this struct was generated from the following file:

- _template_helpers.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.